/*!
  @file
  @author Shin'ichiro Nakaoka
*/

#include <cnoid/Config>
#include <cnoid/Plugin>
#include "PoseSeqItem.h"
#include "PoseSeqEngine.h"
#include "BodyMotionGenerationBar.h"
//#include "PoseSeqView.h"
#include "PoseRollView.h"
#include "FcpFileLoader.h"

using namespace cnoid;

namespace {
  
    class PoseSeqPlugin : public Plugin
    {
    public:
        PoseSeqPlugin() : Plugin("PoseSeq") {
            depend("Body");
            rememberOldName("Choreography");
        }

        virtual bool initialize(){

            PoseSeqItem::initializeClass(this);
            initializePoseSeqEngine(this);
            BodyMotionGenerationBar::initializeInstance(this);
            //addView(new PoseSeqView(*this));
            addView(new PoseRollView());
            initializeFcpFileLoader(*this);
            
            return true;
        }

        virtual QString description() {
            return
                tr("PoseSeq Plugin Version %1\n").arg(CNOID_FULL_VERSION_STRING) +
                "\n" +
                tr("This plugin has been developed by Shin'ichiro Nakaoka and Choreonoid Development Team, AIST, "
                   "and is distributed as a part of the Choreonoid package.\n"
                   "\n") +
                LGPLtext();
        }
    };
}

CNOID_IMPLEMENT_PLUGIN_ENTRY(PoseSeqPlugin);
